Get all headers
get
/fscmRestApi/resources/11.13.18.05/publicShoppingLists
Request
Query Parameters
-
effectiveDate: string
This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds public shopping list headers according to the primary key.
Finder Variables- PublicShoppingListHeaderId; integer; Value that uniquely identifies the public shopping list.
- findByActivePublicShoppingList Finds all active public shopping list headers.
Finder Variables - findByPSLAndProcBU Finds public shopping list headers according to the public shopping list name.
Finder Variables- ProcurementBU; string; Name of the procurement business unit for which the public shopping list is created.
- PublicShoppingList; string; Name of the public shopping list.
- SysEffectiveDate; object;
- findByProcurementBU Finds public shopping list headers according to the procurement BU.
Finder Variables- ProcurementBU; string; Name of the procurement business unit for which the public shopping list is created.
- SysEffectiveDate; object;
- findByPublicShoppingListAttributes Finds public shopping lists filtered by attribute values. For the SearchKeyword; string; parameter, users should use the public shopping list name.
Finder Variables- AgreementHeaderId; integer; Value that uniquely identifies the agreement.
- ContentZoneId; integer; Value that uniquely identifies the content zone assigned to the public shopping list.
- ProcurementBUId; integer; Value that uniquely identifies the procurement business unit.
- SearchKeyword; string; Keyword used to search for the public shopping list.
- SysEffectiveDate; object;
- PrimaryKey Finds public shopping list headers according to the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ConversionRateType; string; Default rate type of the procurement business unit used to determine the currency conversion rate.
- FunctionalCurrencyCode; string; Functional currency of the procurement business unit in which the shopping list was created.
- HasInactiveLines; string; Contains one of the following values: Y or N. If Y, then the shopping list has inactive lines. If N, then the shopping list doesn't have any inactive lines.
- ProcurementBUId; integer; Value that uniquely identifies the procurement business unit in which the public shopping list is created.
- PublicShoppingListEndDate; string; Date and time when the public shopping list is inactivated.
- PublicShoppingListHeaderId; integer; Value that uniquely identifies the public shopping list.
- PublicShoppingListStartDate; string; Date and time when the public shopping list is activated.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : publicShoppingLists
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : publicShoppingLists-item-response
Type:
Show Source
object-
assignedContentZones: array
Assigned Content Zones
Title:
Assigned Content ZonesAssigned Content Zones child resource contains the list of content zones assigned to a given public shopping list. -
ContentZoneAssignment: string
Title:
Content Zone AssignmentRead Only:trueMaximum Length:255Indicates whether there's a single or multiple content zone assignments for a public shopping list. -
ConversionRateType: string
Read Only:
trueMaximum Length:30Default rate type of the procurement business unit used to determine the currency conversion rate. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the public shopping list. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the public shopping list. -
FunctionalCurrencyCode: string
Read Only:
trueMaximum Length:10Functional currency of the procurement business unit in which the shopping list was created. -
HasInactiveLines: string
Read Only:
trueMaximum Length:1Contains one of the following values: Y or N. If Y, then the shopping list has inactive lines. If N, then the shopping list doesn't have any inactive lines. -
ImageURL: string
Maximum Length:
1000URL that locates the image representing the public shopping list. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the public shopping list. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the public shopping list. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProcurementBU: string
Title:
Procurement BUName of the procurement business unit in which the public shopping list is created. -
ProcurementBUId: integer
(int64)
Value that uniquely identifies the procurement business unit in which the public shopping list is created.
-
PublicShoppingList: string
Title:
Public Shopping List NameMaximum Length:100Name of the public shopping list. -
PublicShoppingListDescription: string
Title:
DescriptionMaximum Length:250Description of the public shopping list. -
PublicShoppingListEndDate: string
(date)
Title:
End DateDate and time when the public shopping list is inactivated. -
PublicShoppingListHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the public shopping list. -
PublicShoppingListStartDate: string
(date)
Title:
Start DateDate and time when the public shopping list is activated.
Nested Schema : Assigned Content Zones
Type:
arrayTitle:
Assigned Content ZonesAssigned Content Zones child resource contains the list of content zones assigned to a given public shopping list.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : publicShoppingLists-assignedContentZones-item-response
Type:
Show Source
object-
AssignmentId: integer
(int64)
Read Only:
trueValue that uniquely identifies the public shopping list to which the content zone is assigned. -
ContentZoneId: integer
(int64)
Read Only:
trueValue that uniquely identifies the content zone. -
ContentZoneName: string
Read Only:
trueMaximum Length:30Name of the content zone assigned to the public shopping list. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the content zone. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the content zone. -
CzAssignmentId: integer
(int64)
Read Only:
trueValue that uniquely identifies the content zone assignment to the public shopping list. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the content zone. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the content zone. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProcurementBUId: integer
(int64)
Read Only:
trueValue that uniquely identifies the procurement business unit in which the content zone is created. -
SecurityDimension: string
Read Only:
trueMaximum Length:18Value that shows the security dimension. Possible values are: Available to all requisitioning BUs, Secured by requisitioning BU, Secured by worker, Secured by deliver-to location, and Available to all procurement users. -
Usage: string
Read Only:
trueMaximum Length:15Value that shows the content zone usage. Possible values are: Requisitioning and Procurement.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to get all headers.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/publicShoppingLists"
For example:
curl -u username:password "https://servername/fscmRestApi/resources/version/publicShoppingLists/?finder=findByProcurementBU;ProcurementBU="Vision Services"&orderBy=CreationDate:desc"
Example Response Body
The following shows an example of the response body in JSON
format.
{
"items": [
{
"PublicShoppingListHeaderId": 300100559285633,
"PublicShoppingList": "Pediatric Services",
"ProcurementBUId": 458,
"ProcurementBU": "Vision Services",
"PublicShoppingListDescription": "Speech-Language Therapy, Occupational Therapy, Physical Therapy, Child Development Services.\n",
"PublicShoppingListEndDate": null,
"PublicShoppingListStartDate": "2022-07-20",
"CreatedBy": "CVRQST17",
"CreationDate": "2022-07-20T21:00:43+00:00",
"LastUpdateDate": "2022-07-20T21:01:52.113+00:00",
"LastUpdatedBy": "CVRQST17",
"links": [
{
"rel": "self",
"href": "https://server/fscmRestApi/resources/version/publicShoppingLists/300100559285633",
"name": "publicShoppingLists",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://server/fscmRestApi/resources/version/publicShoppingLists/300100559285633",
"name": "publicShoppingLists",
"kind": "item"
}
]
}
],
"count": 1,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://server/fscmRestApi/resources/version/publicShoppingLists",
"name": "publicShoppingLists",
"kind": "collection"
}
]
}